;(function(angular){
	'use strict';

	angular
		.module('com.tibco.sb.ldm.web.plugins.iframe', ['com.tibco.sb.ldm'])
		.run(onModuleRun);

	onModuleRun.$inject = ['PluginRegistry'];
	function onModuleRun(PluginRegistry){
		PluginRegistry.register(
			new PluginRegistry.VisualizationPlugin('iframe', 'lv-iframe-vis', 'lv-iframe-vis-editor', {
				name: 'IFrame',
				defaultConfig: {
					queryDisabled: true,
					secureContent: true,
					datasetId: '%datasetId%'
				},
				previewIconUrl: 'assets/img/button/vis-type/grid_60x60.png' //TODO: change this to an icon in your plug-in
			})
		);
	}

})(angular);