;(function(angular){
	'use strict';
	angular
		.module('com.tibco.sb.ldm.web.plugins.iframe')
		.directive('lvIframeVis', lvIframeVis);

	lvIframeVis.$inject = ['$log', 'FormatterService', 'EventFactory', '$sce'];

	function lvIframeVis($log, FormatterService, EventFactory, $sce){

		var logger = $log.getInstance('/com.tibco.sb.ldm/web/plugins/iframe/iframeVis');

		return {
			restrict: 'A',
			templateUrl: 'plugins/com.tibco.sb.ldm.web.plugins.iframe/iframeVis.tpl.html',
			scope: false,
			replace: true,
			controller: lvIframeVisCtrl
		};

		function lvIframeVisCtrl($scope, $element){
			var x = 'do something';
			
			$scope.contract.onConfigChanged = onConfigChanged;
			onConfigChanged();
			
			function onConfigChanged() {
				$scope.url = $sce.trustAsResourceUrl($scope.visualization.config.url);
			}
		}
	}

})(angular);